Groovy 1.7.0

## org.codehaus.groovy.vmplugin.v5
Class TestNgUtils

    java.lang.Object
      org.codehaus.groovy.vmplugin.v5.TestNgUtils

    class TestNgUtils
    extends Object

Java 5 code for working with TestNG tests.

author:
  Paul King

Constructor Summary
`TestNgUtils()`

Method Summary
`static Boolean` | `realIsTestNgTest(Class scriptClass, GroovyClassLoader loader)` Utility method to check via reflection if the parsed class appears to be a TestNG test.
`static Object` | `realRunTestNgTest(Class scriptClass, GroovyClassLoader loader)` Utility method to run a TestNG test.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### TestNgUtils

    TestNgUtils()

Method Detail

### realIsTestNgTest

    public static Boolean realIsTestNgTest(Class scriptClass, GroovyClassLoader loader)

  Utility method to check via reflection if the parsed class appears to be a TestNG test.
  param:
    scriptClass the class we want to check
  param:
    loader the GroovyClassLoader to use to find classes
  return:
    true if the class appears to be a test

### realRunTestNgTest

    public static Object realRunTestNgTest(Class scriptClass, GroovyClassLoader loader)

  Utility method to run a TestNG test.
  param:
    scriptClass the class we want to run as a test
  return:
    the result of running the test

Copyright © 2003-2009 The Codehaus. All rights reserved.